<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>


<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="data/@action = 'PayList'">  </xsl:when>
		<xsl:when test="data/@action = 'Pay'"></xsl:when>
	</xsl:choose>
</xsl:template>


<xsl:template name="head">
<xsl:text disable-output-escaping="yes">
	<![CDATA[    
<script type="text/javascript">
<!--

//  (=>),    
var priceMap = new Array();
//      (=> ),    
//  - ,     ,   
var purseInputMap = new Array();
//     ,        (=>_),    
var purseInputWarningMap = new Array();

//      ,  undefined
function getPriceValue()
{
	return priceMap[$('field_cur').value];
}
//    
function isSelectedCurrency()
{
	return $('field_cur').value > 0;
}

window.onload = function()
{
	$('field_sum').onkeyup = function(e)
	{
		if( isSelectedCurrency() )
		{
			$('field_sumtotal').value = $('field_sum').value * getPriceValue();
			if( $('field_sumtotal').value == "NaN" ) $('field_sumtotal').value = "error";
		}
		else
		{
			$('field_sumtotal').value = "";
		}
	};
	
	$('field_sumtotal').onkeyup = function(e)
	{
		if( isSelectedCurrency() )
		{
			$('field_sum').value = $('field_sumtotal').value / getPriceValue();
			if( $('field_sum').value == "NaN" ) $('field_sum').value = "error";
		}
		else
		{
			$('field_sum').value = "";
		}
	};
	
	$('field_cur').onchange = function(e)
	{
		//     
		$('field_purse').value = isSelectedCurrency() ? purseInputMap[$('field_cur').value] : "";
		//  - , 
		$('field_purse').disabled = ($('field_purse').value != "");
		//    		
		$('element_purseInputWarning').style.display = ( purseInputWarningMap[$('field_cur').value] ) ? 'block' : 'none';
		//     
		$('field_sum').onkeyup(e);
	};
};

//-->
</script>   
    ]]>
</xsl:text>
</xsl:template>


<xsl:template match="/data">
	<xsl:choose>
		<xsl:when test="@action = 'PayList'">
			<xsl:call-template name="PayList"/>
		</xsl:when>
		<xsl:when test="@status = 'error' or @status = 'message'">
			<xsl:call-template name="PayDone"/>
		</xsl:when>
		<xsl:when test="@action = 'Pay'">
			<xsl:call-template name="PayConfirm"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>


<xsl:template name="PayList">

	<b> </b>
	
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="error"/>
		<xsl:call-template name="action"/>
		<xsl:call-template name="monthFilterForm">
			<xsl:with-param name="action" select="/data/@action" />
			<xsl:with-param name="module" select="/data/@module" />
			<xsl:with-param name="mid" select="/data/@mid" />
		</xsl:call-template>
	</form>

	<div class="report">
		<table border="0" cellspacing="1" class="table800">
			<thead>
	  			<tr>
					<td>/</td>
					<td> </td>
					<td></td>
					<td> </td>
					<td></td>
	  			</tr>
	 		</thead>
	 		<tbody>	 		
	  			<xsl:for-each select="buyemoney/payment">
					<tr>	
						<xsl:attribute name="class">
							<xsl:choose>
	  							<xsl:when test="@status='NEW'">row_status_process</xsl:when>
	  							<xsl:when test="@status='OK'">row_status_ok</xsl:when>
	  							<xsl:when test="@status='FAIL'">row_status_fail</xsl:when>
	  						</xsl:choose>
						</xsl:attribute>
						
						<td><xsl:value-of select="@date"/></td>
						<td>
							 <b><xsl:value-of select="@sumcur"/><xsl:text> </xsl:text><xsl:value-of select="@currency"/></b>  <xsl:value-of select="@sumtotal"/> <s></s>;
							  : 1<xsl:value-of select="@currency"/>=<xsl:value-of select="@price"/><s></s>
						</td>
						<td><xsl:value-of select="@purse"/></td>
						<td>
	  						<xsl:choose>
	  							<xsl:when test="@status='NEW'"> </xsl:when>
	  							<xsl:when test="@status='OK'"></xsl:when>
	  							<xsl:when test="@status='FAIL'"></xsl:when>
	  						</xsl:choose>
	  						<xsl:if test="@comment != ''">
	  							(<xsl:value-of select="@comment"/>)
	  						</xsl:if>
						</td>
						<td nowrap="nowrap"><xsl:value-of select="@id"/></td>
					</tr>
	  			</xsl:for-each>
	 		</tbody>
		</table>
	</div>

 	<br/>
 	
 	<b> </b>
 	
 	<xsl:choose>
 		<xsl:when test="currencies/currency"> 		

		<form method="GET" action="{$WEBEXECUTER}">
		<xsl:call-template name="module"/>
		<input type="hidden" name="action" value="Pay" />
		
		<table>
			<tr>
				<td>
					<small>:</small> <input type="text" name="sum" size="7" id="field_sum"/>
				</td>
				<td>
					<select name="currency" id="field_cur">
						<option value="-1">~   ~</option>
					<xsl:for-each select="currencies/currency">
						<option value="{@id}"><xsl:value-of select="@title"/> (1 <xsl:value-of select="@code"/> = <xsl:value-of select="@price"/><s></s>)</option>
					</xsl:for-each>
					</select>
				</td>
				<td>
					<small></small> <input type="text" name="sumtotal" size="7" id="field_sumtotal"/><s></s>
				</td>				
			</tr>
			<tr>
				<td colspan="3">
					<small>  :</small> <input type="text" name="purse" size="32" maxlength="128" id="field_purse"/>
				</td>
			</tr>
			<tr>
				<td colspan="3">
					<small>:</small> <input type="text" name="userComment" size="32" maxlength="32"/>
				</td>
			</tr>
			<tr>
				<td colspan="3">
					<xsl:call-template name="submit">
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="guid" select="'buy'"/>
						<xsl:with-param name="align" select="'right'"/>
					</xsl:call-template>
				</td>
			</tr>
		</table>
		</form>	
		
		<em class="comment" id="element_purseInputWarning" style="display: none;">:       
		    ( ),  
		  -       
		 .</em>
		
 		</xsl:when>
 		<xsl:otherwise>
 			<br/>   .
 		</xsl:otherwise> 	
 	</xsl:choose>	

	<!--   priceMap[id]=price; -->
	<xsl:text disable-output-escaping="yes">
		<![CDATA[
<script type="text/javascript">
<!--
    	]]>
    </xsl:text>

	<xsl:for-each select="currencies/currency">
priceMap[<xsl:value-of select="@id"/>]=<xsl:value-of select="@price"/>;
purseInputMap[<xsl:value-of select="@id"/>]="<xsl:value-of select="@purseInput"/>";
purseInputWarningMap[<xsl:value-of select="@id"/>]=<xsl:value-of select="@purseInputWarning='on'"/>;
	</xsl:for-each>

	<xsl:text disable-output-escaping="yes">
		<![CDATA[
//-->
</script>   
    	]]>
	</xsl:text>
	
</xsl:template>



<xsl:template name="PayConfirm">
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"/>
		<input type="hidden" name="confirm" value="1"/>
		<input type="hidden" name="sum" value="{@sum}"/>
		<input type="hidden" name="currency" value="{@currency}"/>
		<input type="hidden" name="purse" value="{@purse}"/>

		<div class="report">
			<table cellspacing="1" style="width: 500px;">
			<col style="width: 60%;"/>
			<col style="width: 40%;" align="center"/>
			<thead>
				<tr>
					<td colspan="2"> </td>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td nowrap="nowrap"> </td>
					<td><xsl:value-of select="@balance"/></td>
				</tr>	
				<tr>
					<td nowrap="nowrap"></td>
					<td><xsl:value-of select="@sum"/><xsl:text> </xsl:text><xsl:value-of select="@currencytitle"/></td>
				</tr>
				<tr>
					<td nowrap="nowrap"></td>
					<td><xsl:value-of select="@sumtotal"/> <s></s></td>
				</tr>
				<tr>
					<td nowrap="nowrap">  ()</td>
					<td><xsl:value-of select="@purse"/></td>
				</tr>
				<tr>
					<td nowrap="nowrap"> </td>
					<td><input type="text" name="userComment" size="32" maxlength="32" value="{@userComment}"/></td>
				</tr>
				<tr>
					<td colspan="2"> ""   .</td>
				</tr>
			</tbody>
			<tfoot>
				<tr>
					<td colspan="2">
						<xsl:call-template name="okCancel">
							<xsl:with-param name="title1" select="''"/>
							<xsl:with-param name="onclick2">window.location.replace( "<xsl:value-of select="$WEBEXECUTER"/>?action=PayList&#38;mid=<xsl:value-of select="/data/@mid"/>&#38;module=<xsl:value-of select="/data/@module"/>");</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
			</tfoot>
			</table>
		</div>
	</form>
</xsl:template>


<xsl:template name="PayDone">
	<!--   ,    -->
	<xsl:call-template name="error"/>
	<!--       -->
	<xsl:call-template name="formButton">
		<xsl:with-param name="data">
			<xsl:call-template name="module"/>
			<input type="hidden" name="action" value="PayList" />
		</xsl:with-param>
		<xsl:with-param name="title" select="'  '"/>
		<xsl:with-param name="guid" select="'_2list'"/>
		<xsl:with-param name="align" select="'left'"/>
	</xsl:call-template>
	 
</xsl:template>


</xsl:stylesheet>